require 'sketchup.rb'
require 'extensions.rb'
require 'langhandler.rb'

module Shink
  module SkMaterialBrowser
    PluginName = 'sk_material_browser'
    OldPluginName = 'shink_material_replace'
    Version = '1.3.2'.freeze

    Object.send(:remove_const, 'RGLoader') if Object.const_defined?('RGLoader')

    lh = LanguageHandler.new("#{PluginName}.strings")
    load_path = File.join(File.dirname(__FILE__), PluginName, 'load')
    extension = SketchupExtension.new(lh['插件名称'], load_path)
    extension.version = Version
    extension.creator = 'Shink'
    extension.description = lh['插件说明']
    Sketchup.register_extension(extension, true)
  end
end
